User account creation filtered due to spam.

Bug 14949 - Need to document method visibility changes.
Summary: Need to document method visibility changes.
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: 3.4.0
: P2 normal
Target Milestone: 3.4.1
Assignee: Giovanni Bajo
URL:
Keywords: documentation, patch
Depends on:
Blocks:
 
Reported: 2004-04-14 06:21 UTC by MattyT
Modified: 2004-06-11 00:11 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2004-04-14 10:07:56


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MattyT 2004-04-14 06:21:02 UTC
GCC used to accept something like:

... &Class::method ...

in a subclass of Class, where the method was protected.  Now you need to write:

... &Subclass::method ...

This should be documented in the changes file.
Comment 1 Giovanni Bajo 2004-04-14 10:07:55 UTC
Matty, would you mind submitting a HTML patch for this? I understand we want to 
document as many as possibles of these changes, but we really do not have time 
right now. It could be great if you want it in time for 3.4.0. Thank you.
Comment 2 Andrew Pinski 2004-05-25 14:39:07 UTC
I just noticed that this is the one for the documenation changes so I closed the other bug and assigned 
this to you.
Comment 3 Andrew Pinski 2004-06-10 13:17:21 UTC
Patch here: <http://gcc.gnu.org/ml/gcc-patches/2004-06/msg00610.html>.
Comment 4 Giovanni Bajo 2004-06-11 00:11:05 UTC
Patch committed, the change is now documented.